Name:		cmake
Version:	2.6.4
Release:	1
Summary:	Cross-platform make system
Group:		Development/Tools
License:	BSD
URL:		http://www.cmake.org
Source0:	http://www.cmake.org/files/v2.8/%{name}-%{version}.tar.gz
Source1:        cmake-init-aix
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

# we don't want any dependencies
BuildConflicts:	libidn

%description
CMake is used to control the software compilation process using simple 
platform and compiler independent configuration files. CMake generates 
native makefiles and workspaces that can be used in the compiler 
environment of your choice. CMake is quite sophisticated: it is possible 
to support complex environments requiring system configuration, pre-processor 
generation, code generation, and template instantiation.


%prep
%setup -q


%build
export CC=xlc
export CXX=xlC

# no "-I/opt/freeware/include" allowed otherwise compile of internal libs fails
export CFLAGS="-qmaxmem=16384 -DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O"
export CXXFLAGS=$CFLAGS

./bootstrap \
    --init=%{SOURCE1} \
    --prefix=%{_prefix} \
    --datadir=/share/%{name} \
    --docdir=/doc/%{name}-%{version} \
    --mandir=/man

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/*

cp -r Example ${RPM_BUILD_ROOT}%{_prefix}/doc/%{name}-%{version}/

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system,-)
%{_prefix}/doc/%{name}-%{version}/
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man?/*.1
/usr/bin/*


%changelog
* Wed Jun 02 2010 Michael Perzl <michael@perzl.org> - 2.6.4-1
- updated to version 2.6.4

* Tue Mar 04 2008 Michael Perzl <michael@perzl.org> - 2.4.8-1
- first version for AIX V5.1 and higher
